Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class OCTET_STRING

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.OCTET_STRING

All Implemented Interfaces:
  ASN1Value

public class OCTET_STRING
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `OCTET_STRING.Template`

Field Summary
`(package private) byte[]` | `data`
`static Form` | `FORM`
`static Tag` | `TAG`
`private static OCTET_STRING.Template` | `templateInstance`

Constructor Summary
`private` | `OCTET_STRING()`
`` | `OCTET_STRING(byte[] data)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static OCTET_STRING.Template` | `getTemplate()`
`byte[]` | `toByteArray()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### FORM

    public static final Form FORM

### data

    byte[] data

### templateInstance

    private static final OCTET_STRING.Template templateInstance

Constructor Detail

### OCTET_STRING

    private OCTET_STRING()

### OCTET_STRING

    public OCTET_STRING(byte[] data)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### toByteArray

    public byte[] toByteArray()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static OCTET_STRING.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD